Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.pkg.client
Class LicenseAction

    java.lang.Object
      com.sun.pkg.client.LicenseAction

All Implemented Interfaces:
  java.lang.Comparable<com.sun.pkg.client.Action>

    public class LicenseAction

extends java.lang.Object

A `LicenseAction` is a file action that represents a license file within the image.

Author:
  trm

Method Summary
`int` | `compareTo(com.sun.pkg.client.Action a)`
`boolean` | `equals(java.lang.Object a)` Determine if two Actions are the "same".
`java.lang.String` | `getHash()`
`java.lang.String` | `getName()` Obtain the name of the license.
`int` | `getSize()` Return the size of the installed bits for this action.
`java.lang.String` | `getText()` Obtain the license text.
`int` | `hashCode()`
`void` | `setGzipFile(java.io.File f)`
`java.lang.String` | `toString()`

Methods inherited from class java.lang.Object
`getClass, notify, notifyAll, wait, wait, wait`

Method Detail

### toString

    public java.lang.String toString()

  Overrides:
    `toString` in class `java.lang.Object`

### getHash

    public java.lang.String getHash()

### getSize

    public int getSize()

  Return the size of the installed bits for this action.

  Returns:
    the size of the action

### getName

    public java.lang.String getName()

  Obtain the name of the license.

  Returns:
    the name of the license

### getText

    public java.lang.String getText()
                             throws java.io.IOException

  Obtain the license text.

  Returns:
    the text of the license
  Throws:
    `java.io.IOException`

### setGzipFile

    public void setGzipFile(java.io.File f)

### compareTo

    public int compareTo(com.sun.pkg.client.Action a)

  Specified by:
    `compareTo` in interface `java.lang.Comparable<com.sun.pkg.client.Action>`

### equals

    public boolean equals(java.lang.Object a)

  Determine if two Actions are the "same". Actions are the same if they are the same type and if the key value for the actions are the same. The actions may vary in other details.

  Overrides:
    `equals` in class `java.lang.Object`
  Parameters:
    `a` - the Action to be compared
  Returns:
    True if the actions are the same.

### hashCode

    public int hashCode()

  Overrides:
    `hashCode` in class `java.lang.Object`

Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD